import React, { useState, useEffect } from 'react'
import Taro from '@tarojs/taro'
import Page from '@/layouts'
import request, { apis } from '@/utils/request'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function WuYeBaoXiuQuYu () {
  const [TypeList, setTypeList] = useState([])

  const handleClick = item => {
    Taro.redirectTo({ url: `/pages/WuYe/TianJiaBaoXiu/index?type=${item.typeId}` })
  }
  
  useEffect(() => {
    request({...apis.getRepairTypeList, params: {pageSize: 999}}).then(res => {
      setTypeList(res.records)
    })
  }, [])

  return (
    <Page>
      <view className='WuYeBaoXiuQuYu'>
        {
          TypeList.map((item, index) => (
            <view key={`WuYeBaoXiuQuYu-${index}`}>
              <view onClick={() => handleClick(item)}>
                <view>
                  {
                    item.icon && <image mode="aspectFit" src={item.icon} style={{width: '32rpx', height: '32rpx', verticalAlign: 'middle', marginRight: '16rpx'}} />
                  }
                  <text>{item.typeName}</text>
                </view>
                <text>{item.desc}</text>
              </view>
            </view>
          ))
        }
        <view className='AdvContent'>
          <view>
            <image mode='aspectFill' src={null} className='centerLabel'></image>
          </view>
        </view>
      </view>
    </Page>
  )
}
